<?php
 class BADIU_MOODLE_PAGE {
 	var $title;
 	var $heading;
 	var $navigation;
 	
 	function set_context($context){
 		global $BADIU_MOODLE;
 		if($BADIU_MOODLE->VERSION_2){
 			global $PAGE;
 			$PAGE->set_context(get_context_instance($context));
 		}
 	}
 	
 	function set_url($url="/"){
 		global $BADIU_MOODLE;
 		if($BADIU_MOODLE->VERSION_2){
 			global $PAGE;
 			$PAGE->set_url($url);
 		}
 	}
 	
 	function set_navigation($navigation){
 		$this->navigation=$navigation;
 	}
 	function set_title($title){
 		$this->title=$title;
 	}
 	function set_heading($heading){
 		$this->heading=$heading;
 	}
       
        
 	function print_head($courseid=1){
 		global $BADIU_MOODLE;
 		if($BADIU_MOODLE->VERSION_2){
 			global $OUTPUT;
                        global $PAGE;
            
                        $context = get_context_instance(CONTEXT_SYSTEM ,$courseid);
                        $PAGE->set_context($context);
                       
			 $PAGE->set_title($this->title); 
                         $PAGE->set_pagelayout('report');
                         $PAGE->set_heading($this->heading);
                        
                       
 			 echo $OUTPUT->header();
 		}else{
                    
 			 print_header($this->title,$this->heading, $this->navigation);
 			 
 		}
 	}	
 	
 	function print_foot(){
 		global $BADIU_MOODLE;
 		if($BADIU_MOODLE->VERSION_2){
 			global $OUTPUT;
 			 echo $OUTPUT->footer();
 		}else{
 			 print_footer();
 		}
 	}	
 } ?>